[openoffice.org/f14/master] openjdk continues to sometimes hang on the koji RHEL-6 kernels

Caolan McNamara caolanm at fedoraproject.org
Fri Nov 26 10:09:32 UTC 2010


commit 8d783022eed0f838d38807001233cb196a99aee3
Author: Caolán McNamara <caolanm at redhat.com>
Date:   Fri Nov 26 09:59:35 2010 +0000

    openjdk continues to sometimes hang on the koji RHEL-6 kernels

 openoffice.org.spec |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)
---
diff --git a/openoffice.org.spec b/openoffice.org.spec
index 9b1c05e..27bc7ff 100644
--- a/openoffice.org.spec
+++ b/openoffice.org.spec
@@ -1761,6 +1761,28 @@ BUILD_SMP_MFLAGS=-P$BUILD_SMP_MFLAGS
 #just in case you have a >16 proc box
 export MAXPROCESSLIMIT=65535
 
+#HANGING JAVA HACK
+cat << \EOF > solenv/bin/java
+#!/bin/sh
+status=1
+count=1
+while [ $status -ne 0 -a $count -lt 10 ]
+do
+        timeout -k 5m 5m $REALJAVA $*
+        status=$?
+        if [ $status -ne 0 ]; then
+                echo $REALJAVA hung, trying again, attempt $count
+        fi
+        count=$[count+1]
+done
+exit $status
+EOF
+chmod +x solenv/bin/java
+export REALJAVA=`which java`
+export PATH=solenv/bin:$PATH
+which java
+#HANGING JAVA HACK
+
 #build OOo, on failure make a stab at rebuilding un-parallel
 cd instsetoo_native/util
 if ! VERBOSE=false build --dlv_switch -link --all $BUILD_SMP_MFLAGS -- $DMAKE_SMP_MFLAGS -s; then


More information about the scm-commits mailing list